An internal error occurred during: "Building UI model". com/google/common/base/Function

  1. 云栖社区>
  2. 博客>
  3. 正文

An internal error occurred during: "Building UI model". com/google/common/base/Function

微wx笑 2017-12-14 09:31:08 浏览1206
版权声明:本文为 testcs_dn(微wx笑) 原创文章,非商用自由转载-保持署名-注明出处,谢谢。 https://blog.csdn.net/testcs_dn/article/details/78798610
An internal error occurred during: "Building UI model". com/google/common/base/Function

Eclipse Neon.2 Release (4.6.2) 安装了 STS(Spring Tool Suite) 后,创建项目时遇到些问题。


错误原因:

STS 版本与 Eclipse 版本不匹配。

解决方法:

1、下载正确的版本进行安装:

 STS(Spring Tool Suite) 


2、直接在 Eclipse 中选择安装正确的版本:

你不能在“Eclipse Market Place”下载 STS。因为 eclipse 会搜索最新版本的 STS。
(与Eclipse的新版本相匹配),你可以在“Install new software 安装新的软件”中下载安装。
我使用这个链接 http://dist.springsource.com/release/TOOLS/update/e4.X/ 你可以插入你的 Eclipse 的版本匹配在“x”,

例如我的 Eclipse Neon.2 Release (4.6.2) ,安装时使用 http://dist.springsource.com/release/TOOLS/update/e4.6/


注意:

有人说:请安装“Eclipse的TestNG插件,将解决这个问题”。本人亲测,并不需要安装这个插件。